<?php
/*
  functions.php
  
  this is where we figure out where (and when) we are, set home page, base URL, etc.

 ---------------------- */
 
  // url processing
	
  $full_url = explode("?",$_SERVER['REQUEST_URI']);
	$query = $full_url[1];
	$url = $full_url[0];
  $url_array = explode("/",$url);
  
  // set repo/subdirectory
  
	if( strpos($url,'templates') ):
	  $repo_name = "templates/spotco_dev";
	else:
	  $repo_name = "websites";
	endif;
  
  // set base URL
  
  $local_url = "http://localhost:".$_SERVER['SERVER_PORT']."/".$repo_name."/".$staging_directory_name."/";
  $staging_url = "https://qa.spotcointeractive.com/".$repo_name."/".$staging_directory_name."/";
  $production_url = "https://".$production_domain_name.".com/";

	if( strpos($_SERVER['SERVER_NAME'],'spotcointeractive') ): // staging
		$base = $staging_url;
	elseif( strpos($_SERVER['SERVER_NAME'],'localhost') === 0 ): // local dev
		$base = $local_url;
	else: // production
		$base = $production_url;
	endif;
	
	// set $page variable
	
  $page = $url_array[(count($url_array)-1)];
	if ($page == "") $page = 'home';
	
	// set show status

  $isPresale = false;
  $isPreviews = false;
	$isRunning = false;
	$isClosed = false;
	
	date_default_timezone_set("America/New_York");
	$now = date("Y-m-d H:i:s");
	
	if ( ($now > $presale_start_date) && ($presale_end_date > $now) ) {
		$isPresale = true;
	}
	
	if ( ($now > $previews_start_date) && ($previews_end_date > $now) ) {
		$isPreviews = true;
	}
	
	if ($now > $show_end_date) {
		$isRunning = false;
		$isClosed = true;
	}
	
	$html_classes = "";
	
  if( $isPresale ) $html_classes = $html_classes."show-presale ";
  if( $isPreviews ) $html_classes = $html_classes."show-previews ";
  if( $isRunning ) $html_classes = $html_classes."show-running ";
	if( $isClosed ) $html_classes = $html_classes."show-closed ";

?>