<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php

  // SET DEFAULTS HERE
  $meta_title = "THE FLAMINGO KID - A New Musical | Official Site";
  $meta_description = "In this dazzling new musical set in the summer of ’63, a Brooklyn teenager leaves his blue-collar roots for job at the posh El Flamingo club.";
  $meta_sitename = "The Flamingo Kid";
  $meta_fbid = "";

  // OVERRIDE DEFAULTS HERE
  switch($page){
    case "tour":
      //$meta_title = "";
      //$meta_description = "";
      break;
  }

?>

<title><?php echo $meta_title; ?></title>

<!-- DEFAULT META -->
<meta name="description" content="<?php echo $meta_description; ?>">
<meta name="author" content="SpotCo">

<!-- FACBOOK META-->
<meta property="og:title" content="<?php echo $meta_title; ?>">
<meta property="og:description" content="<?php echo $meta_description; ?>">
<meta property="og:image" content="<?php echo $base; ?>/_img/preview-wide.jpg">
<meta property="og:url" content="<?php echo $base.'/'.$page.'/'; ?>">
<meta property="og:type" content="article">
<meta property="og:site_name" content="<?php echo $meta_sitename; ?>">
<meta property="fb:admins" content="<?php echo $meta_fbid; ?>">

<!-- TWITTER META -->
<meta name="twitter:creator" content="@author_handle">
<meta name="twitter:site" content="@publisher_handle">
<meta name="twitter:card" content="summary_large_image">

<!-- GOOGLE+ META -->
<meta itemprop="name" content="<?php echo $meta_title; ?>">
<meta itemprop="description" content="<?php echo $meta_description; ?>">
<meta itemprop="image" content="<?php echo $base; ?>/_img/preview-square.jpg">
